Package ru.bitel.bgbilling.modules.bill.common.bean

# Class BillDocSendLog

java.lang.Object
ru.bitel.bgbilling.modules.bill.common.bean.BillDocSendLog

public class BillDocSendLog extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillDocSendLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `int`
  `getDocumentId()`
  `BigDecimal`
  `getDocumentSum()`
  `DocumentType`
  `getDocumentType()`
  `String`
  `getId()`
  `String`
  `getSendAddress()`
  `DocumentSendMode`
  `getSendMode()`
  `String`
  `getSendStatus()`
  `String`
  `getSendStatusMessage()`
  `LocalDateTime`
  `getSendTime()`
  `int`
  `getSendUserId()`
  `BillDocSendLog`
  `setContractId(int contractId)`
  `BillDocSendLog`
  `setDocumentId(int documentId)`
  `BillDocSendLog`
  `setDocumentSum(BigDecimal sum)`
  `BillDocSendLog`
  `setDocumentType(DocumentType documentType)`
  `BillDocSendLog`
  `setId(String id)`
  `BillDocSendLog`
  `setSendAddress(String sendAddress)`
  `BillDocSendLog`
  `setSendMode(DocumentSendMode sendMode)`
  `BillDocSendLog`
  `setSendStatus(String sendStatus)`
  `BillDocSendLog`
  `setSendStatusMessage(String sendStatusMessage)`
  `BillDocSendLog`
  `setSendTime(LocalDateTime sendTime)`
  `BillDocSendLog`
  `setSendUserId(int sendUserId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BillDocSendLog

    public BillDocSendLog()

- ## Method Details

  - ### getId

    public String getId()

  - ### getDocumentType

    public DocumentType getDocumentType()

  - ### getDocumentId

    public int getDocumentId()

  - ### getContractId

    public int getContractId()

  - ### getDocumentSum

    public BigDecimal getDocumentSum()

  - ### getSendTime

    public LocalDateTime getSendTime()

  - ### getSendMode

    public DocumentSendMode getSendMode()

  - ### getSendAddress

    public String getSendAddress()

  - ### getSendStatus

    public String getSendStatus()

  - ### getSendStatusMessage

    public String getSendStatusMessage()

  - ### getSendUserId

    public int getSendUserId()

  - ### setId

    public BillDocSendLog setId(String id)

  - ### setDocumentType

    public BillDocSendLog setDocumentType(DocumentType documentType)

  - ### setDocumentId

    public BillDocSendLog setDocumentId(int documentId)

  - ### setContractId

    public BillDocSendLog setContractId(int contractId)

  - ### setDocumentSum

    public BillDocSendLog setDocumentSum(BigDecimal sum)

  - ### setSendTime

    public BillDocSendLog setSendTime(LocalDateTime sendTime)

  - ### setSendMode

    public BillDocSendLog setSendMode(DocumentSendMode sendMode)

  - ### setSendAddress

    public BillDocSendLog setSendAddress(String sendAddress)

  - ### setSendStatus

    public BillDocSendLog setSendStatus(String sendStatus)

  - ### setSendStatusMessage

    public BillDocSendLog setSendStatusMessage(String sendStatusMessage)

  - ### setSendUserId

    public BillDocSendLog setSendUserId(int sendUserId)